#include "hash_table.h"
#include "handlers.h"

/*
 * WALK: 15
 * COLL: 15
 * AVRG: 1
 * MAX : 1
*/

hash_ent hash_table[1024] = {
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"create-kb-locator", handle_create_kb_locator},
    {NULL, NULL},
    {"enumerate-frame-slots", handle_enumerate_frame_slots},
    {NULL, NULL},
    {NULL, NULL},
    {"individual-p", handle_individual_p},
    {"kb-modified-p", handle_kb_modified_p},
    {"free", handle_free},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"askable", handle_askable},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"coerce-to-individual", handle_coerce_to_individual},
    {"get-slot-values", handle_get_slot_values},
    {NULL, NULL},
    {NULL, NULL},
    {"coercible-to-frame-p", handle_coercible_to_frame_p},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"coerce-to-slot", handle_coerce_to_slot},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"replace-slot-value", handle_replace_slot_value},
    {NULL, NULL},
    {"remove-facet-value", handle_remove_facet_value},
    {NULL, NULL},
    {NULL, NULL},
    {"get-kb-roots", handle_get_kb_roots},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"get-slot-values-in-detail", handle_get_slot_values_in_detail},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"get-class-instances", handle_get_class_instances},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"current-kb", handle_current_kb},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"get-kb-classes", handle_get_kb_classes},
    {"enumerate-kb-direct-children", handle_enumerate_kb_direct_children},
    {NULL, NULL},
    {NULL, NULL},
    {"remove-local-facet-values", handle_remove_local_facet_values},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"frs-independent-frame-handle", handle_frs_independent_frame_handle},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"copy-frame", handle_copy_frame},
    {"get-frame-type", handle_get_frame_type},
    {NULL, NULL},
    {NULL, NULL},
    {"remove-class-superclass", handle_remove_class_superclass},
    {"put-slot-values", handle_put_slot_values},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"get-frame-slots", handle_get_frame_slots},
    {"get-kb-type", handle_get_kb_type},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"get-kb-behaviors", handle_get_kb_behaviors},
    {NULL, NULL},
    {NULL, NULL},
    {"remove-instance-type", handle_remove_instance_type},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"tell", handle_tell},
    {NULL, NULL},
    {NULL, NULL},
    {"continuable-error-p", handle_continuable_error_p},
    {NULL, NULL},
    {"enumerate-class-subclasses", handle_enumerate_class_subclasses},
    {"enumerate-class-superclasses", handle_enumerate_class_superclasses},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"replace-facet-value", handle_replace_facet_value},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"enumerate-kb-classes", handle_enumerate_kb_classes},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"slot-has-value-p", handle_slot_has_value_p},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"enumerate-kb-facets", handle_enumerate_kb_facets},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"get-frame-pretty-name", handle_get_frame_pretty_name},
    {"openable-kbs", handle_openable_kbs},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"eql-in-kb", handle_eql_in_kb},
    {"detach-facet", handle_detach_facet},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"unregister-procedure", handle_unregister_procedure},
    {NULL, NULL},
    {NULL, NULL},
    {"enumerate-kbs-of-type", handle_enumerate_kbs_of_type},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"enumerate-kb-direct-parents", handle_enumerate_kb_direct_parents},
    {"get-frames-with-slot-value", handle_get_frames_with_slot_value},
    {"local-connection", handle_local_connection},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"get-class-subclasses", handle_get_class_subclasses},
    {NULL, NULL},
    {"get-behavior-supported-values", handle_get_behavior_supported_values},
    {NULL, NULL},
    {"attach-facet", handle_attach_facet},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"put-frame-pretty-name", handle_put_frame_pretty_name},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"add-instance-type", handle_add_instance_type},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"get-kb-types", handle_get_kb_types},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"enumerate-ask", handle_enumerate_ask},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"rename-facet", handle_rename_facet},
    {"decontextualize", handle_decontextualize},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"get-kb-direct-parents", handle_get_kb_direct_parents},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"get-kb-frames", handle_get_kb_frames},
    {NULL, NULL},
    {"slot-p", handle_slot_p},
    {NULL, NULL},
    {"enumerate-slot-values-in-detail", handle_enumerate_slot_values_in_detail},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"expunge-kb", handle_expunge_kb},
    {NULL, NULL},
    {NULL, NULL},
    {"next", handle_next},
    {NULL, NULL},
    {"get-kb-facets", handle_get_kb_facets},
    {"find-kb-of-type", handle_find_kb_of_type},
    {"save-kb-as", handle_save_kb_as},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"enumerate-frames-matching", handle_enumerate_frames_matching},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"all-connections", handle_all_connections},
    {"procedure-p", handle_procedure_p},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"enumerate-kbs", handle_enumerate_kbs},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"create-individual", handle_create_individual},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"get-slot-facets", handle_get_slot_facets},
    {"create-frame", handle_create_frame},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"create-procedure", handle_create_procedure},
    {"tellable", handle_tellable},
    {NULL, NULL},
    {"get-facet-values-in-detail", handle_get_facet_values_in_detail},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"create-facet", handle_create_facet},
    {"close-connection", handle_close_connection},
    {"create-class", handle_create_class},
    {NULL, NULL},
    {NULL, NULL},
    {"frame-in-kb-p", handle_frame_in_kb_p},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"enumerate-call-procedure", handle_enumerate_call_procedure},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"enumerate-slot-values", handle_enumerate_slot_values},
    {NULL, NULL},
    {"member-slot-value-p", handle_member_slot_value_p},
    {NULL, NULL},
    {"coerce-to-kb-value", handle_coerce_to_kb_value},
    {"enumerate-facet-values-in-detail", handle_enumerate_facet_values_in_detail},
    {NULL, NULL},
    {NULL, NULL},
    {"enumerate-kb-slots", handle_enumerate_kb_slots},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"get-facet-values", handle_get_facet_values},
    {"ask", handle_ask},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"register-procedure", handle_register_procedure},
    {"member-facet-value-p", handle_member_facet_value_p},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"delete-frame", handle_delete_frame},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"get-frame-name", handle_get_frame_name},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"delete-facet", handle_delete_facet},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"has-more", handle_has_more},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"detach-slot", handle_detach_slot},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"enumerate-kb-types", handle_enumerate_kb_types},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"put-facet-values", handle_put_facet_values},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"get-kbs-of-type", handle_get_kbs_of_type},
    {"find-kb-locator", handle_find_kb_locator},
    {NULL, NULL},
    {"get-kb-direct-children", handle_get_kb_direct_children},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"slot-has-facet-p", handle_slot_has_facet_p},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"revert-kb", handle_revert_kb},
    {"untell", handle_untell},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"add-facet-value", handle_add_facet_value},
    {"close-kb", handle_close_kb},
    {"put-frame-name", handle_put_frame_name},
    {"meta-kb", handle_meta_kb},
    {"attach-slot", handle_attach_slot},
    {NULL, NULL},
    {"find-kb", handle_find_kb},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"coerce-to-facet", handle_coerce_to_facet},
    {"okbc-condition-p", handle_okbc_condition_p},
    {"fetch", handle_fetch},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"add-slot-value", handle_add_slot_value},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"establish-connection", handle_establish_connection},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"rename-slot", handle_rename_slot},
    {NULL, NULL},
    {"kb-p", handle_kb_p},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"enumerate-class-instances", handle_enumerate_class_instances},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"call-procedure", handle_call_procedure},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"save-kb", handle_save_kb},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"follow-slot-chain", handle_follow_slot_chain},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"member-behavior-values-p", handle_member_behavior_values_p},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"value-as-string", handle_value_as_string},
    {"remove-local-slot-values", handle_remove_local_slot_values},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"facet-p", handle_facet_p},
    {NULL, NULL},
    {"open-kb", handle_open_kb},
    {"type-of-p", handle_type_of_p},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"get-frames-with-facet-value", handle_get_frames_with_facet_value},
    {NULL, NULL},
    {NULL, NULL},
    {"enumerate-list", handle_enumerate_list},
    {NULL, NULL},
    {"enumerate-all-connections", handle_enumerate_all_connections},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"facet-has-value-p", handle_facet_has_value_p},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"get-facet-value", handle_get_facet_value},
    {NULL, NULL},
    {"enumerate-facet-values", handle_enumerate_facet_values},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"get-procedure", handle_get_procedure},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"get-frames-matching", handle_get_frames_matching},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"get-kb-individuals", handle_get_kb_individuals},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"get-slot-value", handle_get_slot_value},
    {"create-slot", handle_create_slot},
    {"get-frame-handle", handle_get_frame_handle},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"get-kbs", handle_get_kbs},
    {NULL, NULL},
    {NULL, NULL},
    {"get-behavior-values", handle_get_behavior_values},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"equal-in-kb", handle_equal_in_kb},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"get-classes-in-domain-of", handle_get_classes_in_domain_of},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"put-facet-value", handle_put_facet_value},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"get-frame-details", handle_get_frame_details},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"prefetch", handle_prefetch},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"get-instance-types", handle_get_instance_types},
    {NULL, NULL},
    {NULL, NULL},
    {"put-slot-value", handle_put_slot_value},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"delete-slot", handle_delete_slot},
    {NULL, NULL},
    {"get-frame-sentences", handle_get_frame_sentences},
    {NULL, NULL},
    {NULL, NULL},
    {"goto-kb", handle_goto_kb},
    {NULL, NULL},
    {"primitive-p", handle_primitive_p},
    {"enumerate-slot-facets", handle_enumerate_slot_facets},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"allocate-frame-handle", handle_allocate_frame_handle},
    {NULL, NULL},
    {"put-behavior-values", handle_put_behavior_values},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"connection-p", handle_connection_p},
    {"frame-has-slot-p", handle_frame_has_slot_p},
    {"enumerate-instance-types", handle_enumerate_instance_types},
    {"print-frame", handle_print_frame},
    {NULL, NULL},
    {"get-frame-in-kb", handle_get_frame_in_kb},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"get-kb-slots", handle_get_kb_slots},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"frs-name", handle_frs_name},
    {"put-frame-details", handle_put_frame_details},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"enumerate-kb-individuals", handle_enumerate_kb_individuals},
    {"coerce-to-frame", handle_coerce_to_frame},
    {"add-class-superclass", handle_add_class_superclass},
    {"equalp-in-kb", handle_equalp_in_kb},
    {NULL, NULL},
    {"get-class-superclasses", handle_get_class_superclasses},
    {"put-instance-types", handle_put_instance_types},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"instance-of-p", handle_instance_of_p},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"remove-slot-value", handle_remove_slot_value},
    {NULL, NULL},
    {"class-p", handle_class_p},
    {NULL, NULL},
    {NULL, NULL},
    {"coerce-to-class", handle_coerce_to_class},
    {"create-kb", handle_create_kb},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"superclass-of-p", handle_superclass_of_p},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"enumerate-kb-frames", handle_enumerate_kb_frames},
    {"enumerate-kb-roots", handle_enumerate_kb_roots},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"copy-kb", handle_copy_kb},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"put-class-superclasses", handle_put_class_superclasses},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"subclass-of-p", handle_subclass_of_p},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {"get-slot-type", handle_get_slot_type},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
    {NULL, NULL},
};
