#include "okbc_types.h"

okbc_node *okbc_coerce_to_class(const char *thing, const char *kb,
				int error_p, int kb_local_only_p);

okbc_node *okbc_coerce_to_facet(const char *thing, const char *kb,
				int error_p, int kb_local_only_p);

okbc_node *okbc_coerce_to_frame(const char *thing, const char *kb,
				int error_p, int kb_local_only_p);

okbc_node *okbc_coerce_to_individual(const char *thing, const char *kb,
				     int error_p, int kb_local_only_p);

okbc_node *okbc_coerce_to_kb_value(const char *string_or_value,
				   const char *target_context,
				   const char *kb, int wildcards_allowed_p,
				   int force_case_insensitive_p,
				   int error_p, const char *frame_action,
				   int kb_local_only_p);

okbc_node *okbc_coerce_to_slot(const char *thing, const char *kb,
			       int error_p, int kb_local_only_p);
