#ifndef MOD_3STORE_H
#define MOD_3STORE_H

#define MAX_ARGS 9

#include <../rdfsql/rdfsql/rdfsql.h>

typedef struct {
	char *path;
	char *username; 
	char *password; 
	char *database; 
	char *remote; 
	RDFSQL *db;
} ts_path_conf;

typedef struct {
	ts_path_conf *path_confs;
} ts_server_conf;

#endif
