#include "okbc_types.h"

void okbc_put_behavior_values(const char *behavior, const char *values,
			      const char *kb);

void okbc_put_class_superclasses(const char *class,
				 const char *new_superclasses,
				 const char *kb, int kb_local_only_p);

void okbc_put_facet_value(const char *frame, const char *slot,
			  const char *facet, const char *value,
			  const char *kb, const char *slot_type,
			  const char *value_selector, int kb_local_only_p);

void okbc_put_facet_values(const char *frame, const char *slot,
			   const char *facet, const char *values,
			   const char *kb, const char *slot_type,
			   const char *value_selector,
			   int kb_local_only_p);

void okbc_put_frame_details(const char *frame, const char *details,
			    const char *kb, int kb_local_only_p);

okbc_node *okbc_put_frame_name(const char *frame, const char *new_name,
			       const char *kb, int kb_local_only_p);

void okbc_put_frame_pretty_name(const char *frame, const char *name,
				const char *kb, int kb_local_only_p);

void okbc_put_instance_types(const char *frame, const char *new_types,
			     const char *kb, int kb_local_only_p);

void okbc_put_slot_value(const char *frame, const char *slot,
			 const char *value, const char *kb,
			 const char *slot_type, const char *value_selector,
			 int kb_local_only_p);

void okbc_put_slot_values(const char *frame, const char *slot,
			  const char *values, const char *kb,
			  const char *slot_type,
			  const char *value_selector, int kb_local_only_p);
