#include "okbc_types.h"

void okbc_remove_class_superclass(const char *class,
				  const char *superclass_to_remove,
				  const char *kb, int kb_local_only_p);

void okbc_remove_facet_value(const char *frame, const char *slot,
			     const char *facet, const char *value,
			     const char *kb, const char *test,
			     const char *slot_type,
			     const char *value_selector,
			     int kb_local_only_p);

void okbc_remove_instance_type(const char *frame,
			       const char *type_to_remove, const char *kb,
			       int kb_local_only_p);

void okbc_remove_local_facet_values(const char *frame, const char *slot,
				    const char *facet, const char *kb,
				    const char *slot_type,
				    const char *value_selector,
				    int kb_local_only_p);

void okbc_remove_local_slot_values(const char *frame, const char *slot,
				   const char *kb, const char *slot_type,
				   const char *value_selector,
				   int kb_local_only_p);

void okbc_remove_slot_value(const char *frame, const char *slot,
			    const char *value, const char *kb,
			    const char *test, const char *slot_type,
			    const char *index, const char *value_selector,
			    int kb_local_only_p);
