#include <stdio.h>

#include "okbc.h"

int main() {
	okbc_node *n;

	okbc_init();
	n = okbc_local_connection();
	// n = okbc_get_slot_values("http://www.aktors.org/ontology/portal#Person", "http://www.w3.org/1999/02/22-rdf-syntax-ns#type", NULL, NULL, NULL, 0, NULL, 0);
	//n = okbc_get_frames_with_slot_value("http://www.w3.org/1999/02/22-rdf-syntax-ns#type", "http://www.w3.org/2000/01/rdf-schema#Class", NULL, NULL, NULL, NULL, 0);
	
	//printf("Employees:\n");
	//n = okbc_get_class_instances("http://www.aktors.org/ontology/portal#Employee", NULL, key_none, 0, 0);
	//okbc_dump_node(n);

	//printf("All People:\n");
	//n = okbc_get_class_instances("http://www.aktors.org/ontology/portal#Person", NULL, NULL, 0, 0);
	//okbc_dump_node(n);

	/*
	printf("Subclasses of Person\n");
	n = okbc_get_class_subclasses("http://www.aktors.org/ontology/portal#Person", NULL, key_taxonomic, 0, 0);
	okbc_dump_node(n);
	printf("Direct subclasses of Person\n");
	n = okbc_get_class_subclasses("http://www.aktors.org/ontology/portal#Person", NULL, key_none, 0, 0);
	okbc_dump_node(n);
	*/

	/*
	printf("Superclasses of Person\n");
	n = okbc_get_class_superclasses("http://www.aktors.org/ontology/portal#Person", NULL, key_taxonomic, 0, 0);
	okbc_dump_node(n);
	printf("Direct superclasses of Person\n");
	n = okbc_get_class_superclasses("http://www.aktors.org/ontology/portal#Person", NULL, key_none, 0, 0);
	okbc_dump_node(n);
	*/

	/*
	printf("Direct domain of addresses-generic-area-of-interest\n");
	n = okbc_get_classes_in_domain_of("http://www.aktors.org/ontology/portal#addresses-generic-area-of-interest", NULL, NULL, key_none, 0);
	okbc_dump_node(n);
	printf("Domain of addresses-generic-area-of-interest\n");
	n = okbc_get_classes_in_domain_of("http://www.aktors.org/ontology/portal#addresses-generic-area-of-interest", NULL, NULL, key_taxonomic, 0);
	okbc_dump_node(n);
	*/

	/*
	printf("Does frame Person exist?\n");
	n = okbc_get_frame_in_kb("http://www.aktors.org/ontology/portal#Person", NULL, 0, 0);
	okbc_dump_node(n);
	printf("Does frame Plugin exist?\n");
	n = okbc_get_frame_in_kb("http://ladspa.org/ontology#Plugin", NULL, 0, 0);
	okbc_dump_node(n);
	*/

	/*
	printf("Frame name of Person\n");
	n = okbc_get_frame_name("http://www.aktors.org/ontology/portal#Person", NULL, 0);
	okbc_dump_node(n);
	*/

	/*
	printf("Sentences about R.Sargeant@dcs.shef.ac.uk\n");
	n = okbc_get_frame_sentences("http://www.aktors.org/scripts/sheffield.dome#R.Sargeant.dcs.shef.ac.uk", NULL, 0, 0, NULL, 0);
	okbc_dump_node(n);
	*/

	/*
	printf("Slots of R.Sargeant@dcs.shef.ac.uk\n");
	n = okbc_get_frame_slots("http://www.aktors.org/scripts/sheffield.dome#R.Sargeant.dcs.shef.ac.uk", NULL, key_none, NULL, 0);
	okbc_dump_node(n);
	*/

	/*
	printf("Type of of R.Sargeant@dcs.shef.ac.uk\n");
	n = okbc_get_frame_type("http://www.aktors.org/scripts/sheffield.dome#R.Sargeant.dcs.shef.ac.uk", NULL, 0);
	okbc_dump_node(n);
	*/

	/*
	printf("Types of of R.Sargeant@dcs.shef.ac.uk\n");
	n = okbc_get_instance_types("http://www.aktors.org/scripts/sheffield.dome#R.Sargeant.dcs.shef.ac.uk", NULL, key_taxonomic, 0, 0);
	okbc_dump_node(n);
	printf("Direct types of of R.Sargeant@dcs.shef.ac.uk\n");
	n = okbc_get_instance_types("http://www.aktors.org/scripts/sheffield.dome#R.Sargeant.dcs.shef.ac.uk", NULL, key_none, 0, 0);
	okbc_dump_node(n);
	*/

	/*
	printf("Get classes\n");
	n = okbc_get_kb_classes("http://aktors.org/ontology", NULL, 0);
	okbc_dump_node(n);
	*/

	/*
	printf("Get KB roots\n");
	n = okbc_get_kb_roots(NULL, NULL, 0);
	okbc_dump_node(n);
	*/

	/*
	printf("Get KB slots\n");
	n = okbc_get_kb_slots(NULL, NULL, 0);
	okbc_dump_node(n);
	*/

	/*
	printf("Get details of R.Sargeant@dcs.shef.ac.uk\n");
	n = okbc_get_frame_details("http://www.aktors.org/scripts/sheffield.dome#R.Sargeant.dcs.shef.ac.uk", NULL, key_taxonomic, 0, 0);
	okbc_dump_node(n);
	*/

	/* WARNING: This function call is stupid
	printf("Get all frames\n");
	n = okbc_get_kb_frames(NULL, 0);
	okbc_dump_node(n);
	*/

	printf("Get all kb\n");
	n = okbc_get_kbs(NULL);
	okbc_dump_node(n);

	return 0;
}
